slepc-3.21.1 2024-04-26
Report Typos and Errors

# DSSetCompact

Switch to compact storage of matrices.

### Synopsis

    #include "slepcds.h"
    PetscErrorCode DSSetCompact(DS ds,PetscBool comp)

Logically Collective

### Input Parameters

| ds | - the direct solver context
| comp | - a boolean flag

### Notes

Compact storage is used in some DS types such as DSHEP when the matrix is tridiagonal. This flag can be used to indicate whether the user provides the matrix entries via the compact form (the tridiagonal DS_MAT_T) or the non-compact one (DS_MAT_A).

The default is PETSC_FALSE.

### See Also

DSGetCompact()

### Level

advanced

### Location

src/sys/classes/ds/interface/dsbasic.c
Index of all DS routines
Table of Contents for all manual pages
Index of all manual pages